import React ,{ Component } from 'react';
import {
  StyleSheet,
  Dimensions,
  View,
  Text,
  Image,
  ScrollView,
  TouchableOpacity,
  Button
} from 'react-native';
import styles from './styles';

class aboutHRB extends Component {

  static navigationOptions = ({ navigation }) => ({
    headerLeft: (
      <TouchableOpacity
        style={styles.nav_left_touch_container}
        onPress={() => {
          navigation.goBack();
        }}
      >
        <View style={styles.nav_left_icon_container}>
          <Image
            style={styles.nav_icon}
            source={require('../../images/btn_nv_back.png')}
          />
        </View>
      </TouchableOpacity>
    ),
    headerTitle: 
    <View style={styles.headerTitleContainer}>
    <Text style={styles.headerTitleTxt}>關於HRB</Text>
    </View>
  });

  render() {
    const { navigation } = this.props;
    return (
        <View style={styles.container}>
        <View style={styles.subContainer}>
          <View style={styles.imageContainer}>
            <Image
              source={require('../../images/ic_app.png')}
            />
        </View>
        <View style={styles.innerContainer}>
        <View style={[styles.contentContainer, { borderTopColor: '#e1e1e1', borderTopWidth: 1 }]}>
              <Text style={styles.contentText}>版本資訊</Text>
              <View style={{ flex: 1 }}>
                <Text style={[styles.contentText, { marginLeft: 30 }]}>HRB_Mobile_20161229_39alba.lpa</Text>
              </View>
            </View>
            <View style={styles.contentContainer}>
              <Text style={styles.contentText}>修改日期</Text>
              <View style={{ flex: 1 }}>
                <Text style={[styles.contentText, { marginLeft: 30 }]}>2016/12/29 08:43:55</Text>
              </View>
            </View>
            <View style={styles.contentContainer}>
              <Text style={styles.contentText}>裝置支援</Text>
              <View style={{ flex: 1 }}>
                <Text style={[styles.contentText, { marginLeft: 30 }]}>
                  ios 9.0以上/iphone 5以上
                </Text>
              </View>
            </View>
            <View style={styles.contentContainer}>
              <Text style={styles.contentText}>其他說明</Text>
              <View style={{ flex: 1 }}>
                <Text style={[styles.contentText, { marginLeft: 30 }]}></Text>
              </View>
            </View>
            <TouchableOpacity onPress={() => {
                navigation.navigate('PrivacyStatement', { props: this.props });
              }}>
            <View style={[styles.privacyContentContainer, { borderTopColor: '#e1e1e1', borderTopWidth: 1 }]}>
                <View>
                  <Text style={[styles.contentText, { color: '#000000' }]}>服務條款及隱私權政策</Text>
                </View>
                <View style={styles.rowItemRight}>
                  <Image
                    style={styles.nextArrow}
                    source={require('../../images/kb_arrow_next.png')}
                  />
                </View>
              </View>
            </TouchableOpacity>

        </View>
        </View>
      </View>
    )
  }
};

export default aboutHRB;