import {
    StyleSheet,
    Dimensions
  } from 'react-native';

  const { width } = Dimensions.get('window');
  const gridHeight = 44;

  export default StyleSheet.create({
    nav_left_touch_container: {
      height: 44,
      flexDirection: 'column',
      justifyContent: 'center',
      alignItems: 'center'
    },
    nav_left_icon_container: {
      marginLeft: 20
    },
    nav_icon: {
      width: 27,
      height: 27
    },
  container: {
      flex: 1,
      backgroundColor: '#F8F8F8'
    },
  innerContainer: {
      flexDirection: 'column',
      borderTopWidth: 1,
      borderBottomWidth: 1,
      borderTopColor: '#BCBBC1',
      borderBottomColor: '#BCBBC1'
    },
  titleText: {
    fontSize: 12,
    color: '#8A8A8F',
    marginLeft: 16,
    marginTop: 16,
    marginBottom: 8
  },
  titleContainer: {
    backgroundColor: '#EFEFF4',
    height: gridHeight,
    justifyContent: 'center',
  },
  labelContainer: {
    flex: 1,
    flexDirection: 'row',
    alignItems: 'center',
  },
  focusContent: {
    width: '100%',
    height: '100%',
    position: 'absolute'
  },
  headerTitleContainer: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    paddingRight: 30
  },
  headerTitleTxt: {
    color: '#000',
    fontSize: 17,
    lineHeight: 22,
    letterSpacing: -0.41,
  },
  headerRightGreyText: {
    fontSize: 17,
    color: '#BCBBC1'
  },
  nav_right_icon_container: {
    marginRight: 20
  },
  contentText: {
    fontSize: 16,
    color: 'black',
  },
  contentContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    marginHorizontal: 16,
    height: gridHeight,
    flex: 1
  },
  valueContainer: {
    flexDirection: 'row',
    width: width - 170,
    justifyContent: 'flex-end',
    alignItems: 'center'
  },
  unitContainer: {
    flexDirection: 'row',
    marginLeft: 5,
  },
  unitText: {
    fontSize: 16,
    color: '#3B6D99',
  },
  multiContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'flex-end'
  },
  dashText: {
    fontSize: 16,
    color: '#3B6D99',
    paddingLeft: 10,
    paddingRight: 10
  },
  unitText2_mmHg: {
    fontSize: 16,
    color: '#3B6D99',
    marginRight: 16
  },
  unitText2_bpm: {
    fontSize: 16,
    color: '#3B6D99',
    marginRight: 16
  },
  unitText_step: {
    fontSize: 16,
    color: '#3B6D99',
    marginRight: 16
  },
  bedTime_picker_container: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'flex-end',
    flex: 1
  },
  bedTime_picker_text: {
    fontSize: 16,
    color: '#3B6D99',
    marginRight: 16
  },
  input_txt_bodyMeasure: {
    fontSize: 16,
    textAlign: 'right',
    color: '#3B6D99',
    width: 70,
    height: 44,
    alignItems: 'center',
  },
  input_txt_mmHg: {
    fontSize: 16,
    textAlign: 'right',
    color: '#3B6D99',
    width: 60,
    height: 44,
    alignItems: 'center',
  },
  input_txt2: {
    fontSize: 16,
    textAlign: 'left',
    color: '#3B6D99',
    width: 60,
    height: 44,
    alignItems: 'center',
  },
  nav_right_icon_container: {
    marginRight: 20
  },
  headerRightText: {
    fontSize: 17,
    color: '#3B6D99'
  },
  input_txt_dailyStep: {
    fontSize: 16,
    textAlign: 'right',
    color: '#3B6D99',
    width: 100,
    height: 44,
    alignItems: 'center',
  },
  dailyStep_container: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'flex-end'
  },
  });